pkgname=shastraos-gm
pkgver=0.0.3
pkgrel=1
pkgdesc="A welcome and account setup app for Shastra OS"
arch=('x86_64')
url="https://gitlab.com/shastraos/software/core/${pkgname}"
license=('GPL')
depends=('gtk4' 'python-gobject' 'libadwaita')
makedepends=('meson' 'ninja' 'desktop-file-utils' 'appstream-glib')
source=("${url}/-/tree/main/archive/v${pkgver}/${pkgname}-v${pkgver}.tar.gz")
sha256sums=("SKIP")

build() {
  if [ -d "$srcdir/../build" ]; then
    echo "Deleting existing build/ directory... will rebuild..."
    rm -rf "$srcdir/../build"
  fi

  echo "Compiling resources..."
  glib-compile-resources "$srcdir/shastraos-gm.gresource.xml"

  echo "Running meson..."
  cd .. && meson build

  if [ $? -eq 0 ]; then
    echo "Running ninja and installing..."
    ninja -C "$srcdir/../build/" install
  else
    echo "Meson configuration failed. Aborting build."
  fi
}

package() {
    DESTDIR="$pkgdir" meson install -C "$srcdir/../build/"
}
